#include <vector>
#include <string>
#include <iostream>

#ifdef _WIN32
#include "dirent.h"
#else
#include <dirent.h>
#include <string.h>
#endif

using namespace std;

void listdirs (string dirName, std::vector<string> &folderNames) 
{
  DIR *dir;
  struct dirent *ent;
  if ((dir = opendir(dirName.c_str())) != NULL) {
    while ((ent = readdir(dir)) != NULL) {
      if (strcmp(ent->d_name,".") == 0 || strcmp(ent->d_name,"..") == 0) continue;
      string temp_name = ent->d_name;
      switch (ent->d_type) {
        case DT_DIR:
          folderNames.push_back(temp_name);
          break;
      }
    }
    closedir(dir);
  }
}

void printdirs (std::vector<string> &folderNames)
{
    for (size_t i=0; i<folderNames.size(); i++) {
        cout << folderNames[i] << ":" << endl;
    }
}